{

    //ByAvatarTeamIndex测试脚本

    "AbilityName": "TestPlayer_Ability_Tianheng_83",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {

            "$type":"MoleMole.SetAbilitySpecialByExpression",

            "ParamName":"AS_TeamIndex",

            "ValueType":"int",

            "Expression":"rand(1,4)",

        },

        {  

            "$type" : "MoleMole.FireEffect",

            "EffectPattern" : "Eff_Avatar_LevelUp_01",

            "Target" : "Self",

            "Predicates" : 

            [

                {

                    "$type": "MoleMole.ByAvatarTeamIndex",

                    "TeamIndex": "%AS_TeamIndex",

                    "Target" : "Self"

                }

            ]

        }

    ],



    "AbilitySpecials": 

    {

        "AS_TeamIndex": 

        {

            "Value": 0

        }, 

    }

}